## hamlib 4.6.4

=== debian/changelog ===
hamlib (4.6.4-3) unstable; urgency=medium

  * We still need to actively remove the 60-libhamlib4.rules diversion.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Aug 2025 14:34:01 +0200

hamlib (4.6.4-2) unstable; urgency=medium

  * Remove 60-libhamlib4.rules migration/upgrade code in maintscripts.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Aug 2025 12:36:57 +0200

hamlib (4.6.4-1) experimental; urgency=medium

  * New upstream version 4.6.4.
  * Update debian/tests/perltest.out.

 -- Christoph Berg <myon@debian.org>  Wed, 23 Jul 2025 15:28:22 +0200
