## hamlib 4.6.5

=== debian/changelog ===
hamlib (4.6.5-5) unstable; urgency=medium

  * Upgrade tests to lua5.4.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Oct 2025 12:04:49 +0200

hamlib (4.6.5-4) unstable; urgency=medium

  * Remove file that was confusing dh-lua.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 19:59:16 +0200

hamlib (4.6.5-3) unstable; urgency=medium

  * Drop lua5.2 support. (Closes: #1117632)
  * Add lua5.4 support.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 15:10:35 +0200

hamlib (4.6.5-2) unstable; urgency=medium

  * Fix FTBFS on hurd in precise_time.c.
  * Run tests on Linux only.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Sep 2025 11:42:53 +0200

hamlib (4.6.5-1) unstable; urgency=medium

  * New upstream version 4.6.5.
  * Use --with-indi on linux.
  * Mark INDI build-deps as linux-any.

 -- Christoph Berg <myon@debian.org>  Sun, 07 Sep 2025 11:14:11 +0200
