=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 PYTHON3 := $(shell py3versions --requested --version debian/control)
 FLAVOURS := $(PYTHON3)
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+INDI = --with-indi
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 LIBUSB = --without-libusb
@@ -25,6 +29,7 @@
 			--with-tcl-binding \
 			--with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH) \
 			--with-lua-binding \
+			$(INDI) \
 			$(LIBUSB) \
 			; \
 	done
@@ -48,12 +53,15 @@
 	find build-indep/doc -type f -name "*.md5" -delete
 
 override_dh_auto_test-arch:
+# skip tests on hurd
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	set -ex; for x in $(FLAVOURS); do \
 		LC_ALL=C.UTF-8 \
 		PYTHON=/usr/bin/python$$x \
 		VERBOSE=1 \
 		dh_auto_test --arch --builddirectory=build-$$x; \
 	done
+endif
 
 # skip
 override_dh_auto_test-indep:
@@ -133,5 +141,5 @@
 		$(CURDIR)/doc/stamp-vti \
 		$(CURDIR)/doc/version.texi
 	# Remove LUA dirs
-	rm -rf $(CURDIR)/5.[2,3]-hamlib
+	rm -rf $(CURDIR)/5.?-hamlib
 	# find . -name '*.py[co]' -print0 | xargs -0 rm -f
