=== debian/tests/control ===
Depends:
 libhamlib-perl,
Tests: perltest

Depends:
 python3-hamlib,
Test-Command: python3 /usr/share/doc/python3-hamlib/examples/py3test.py
Features: test-name=python3

Depends:
 tcl,
 tcl-hamlib,
Test-Command: tclsh /usr/share/doc/tcl-hamlib/examples/tcltest.tcl
Features: test-name=tcl

Depends:
 lua-hamlib,
 lua5.3,
Test-Command: lua5.3 /usr/share/doc/lua-hamlib/examples/luatest.lua
Features: test-name=lua5.3

Depends:
 lua-hamlib,
 lua5.4,
Test-Command: lua5.4 /usr/share/doc/lua-hamlib/examples/luatest.lua
Features: test-name=lua5.4
